: Class ERServer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ERServer
Class ERServer

    java.lang.Object
      |
      +--ERServer.ERServer

public class ERServer
extends java.lang.Object

Launches the ERServer program and initalises the GUI. The database is also initialised. Additionally the log system is prepared. Logging is done with `log4j`, more info is available from www.log4j.org.

Version:
  1.0 11 April 2001
Author:
  Jason Kitcat, Rajagopal C.V

Field Summary
`protected static ERServer.Category` | `DEV`
`protected static java.lang.String` | `er_private_key`
`protected static java.lang.String` | `fc_public_key`
`protected static ERFrame1` | `frame`
`protected static CryptFrame` | `frame1`
`protected static ERFrame2` | `frame2`
`protected static ERServer.Category` | `NORM`
`protected static java.lang.String` | `pm_public_key`
`protected static java.lang.String` | `rt_public_key` public and private keys for communications
`protected static TCPServer` | `serv`

Constructor Summary
`protected` | `ERServer()`

Method Summary
`protected static void` | `main(java.lang.String[] args)`
`protected static void` | `startDaemon()` Fires up the database, logging system and TCP/IP server.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rt_public_key

    protected static final java.lang.String rt_public_key

  public and private keys for communications

### fc_public_key

    protected static final java.lang.String fc_public_key

### pm_public_key

    protected static final java.lang.String pm_public_key

### er_private_key

    protected static final java.lang.String er_private_key

### frame

    protected static ERFrame1 frame

### frame1

    protected static CryptFrame frame1

### frame2

    protected static ERFrame2 frame2

### serv

    protected static TCPServer serv

### NORM

    protected static ERServer.Category NORM

### DEV

    protected static ERServer.Category DEV

Constructor Detail

### ERServer

    protected ERServer()

Method Detail

### main

    protected static void main(java.lang.String[] args)

### startDaemon

    protected static void startDaemon()

  Fires up the database, logging system and TCP/IP server. It also checks to see what mode the software is running in and adapts the GUI accordingly. Logging is done with `log4j`, more info is available from http://www.log4j.org/.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD